cURL
curl --request GET \
--url https://api.slash.com/invoice/series/{invoiceSeriesId} \
--header 'X-API-Key: <api-key>'{
"$entity": "invoice_series",
"id": "<string>",
"recurrenceRule": {
"type": "weekly",
"dayOfWeek": 3
},
"paymentTermsDays": 123,
"invoiceTz": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endCondition": {
"type": "never"
},
"template": {
"lineItemsAndTotals": {
"lineItems": [
{
"name": "<string>",
"quantity": 123,
"priceCents": 123,
"catalogItemId": "<string>"
}
],
"discount": {
"type": "percentage",
"percent": 123
},
"tax": {
"type": "percentage",
"percent": 123
}
},
"memo": "<string>",
"ccEmails": [
"<string>"
]
},
"paymentMethods": [
{
"method": "ach_debit",
"config": {
"passFeeToPayer": true
}
}
],
"accountId": "<string>",
"nextScheduledDate": "2023-11-07T05:31:56Z",
"legalEntityContactId": "<string>",
"legalEntityCustomerId": "<string>"
}Invoice Series
Get invoice series
Get a single invoice series by ID.
GET
/
invoice
/
series
/
{invoiceSeriesId}
cURL
curl --request GET \
--url https://api.slash.com/invoice/series/{invoiceSeriesId} \
--header 'X-API-Key: <api-key>'{
"$entity": "invoice_series",
"id": "<string>",
"recurrenceRule": {
"type": "weekly",
"dayOfWeek": 3
},
"paymentTermsDays": 123,
"invoiceTz": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endCondition": {
"type": "never"
},
"template": {
"lineItemsAndTotals": {
"lineItems": [
{
"name": "<string>",
"quantity": 123,
"priceCents": 123,
"catalogItemId": "<string>"
}
],
"discount": {
"type": "percentage",
"percent": 123
},
"tax": {
"type": "percentage",
"percent": 123
}
},
"memo": "<string>",
"ccEmails": [
"<string>"
]
},
"paymentMethods": [
{
"method": "ach_debit",
"config": {
"passFeeToPayer": true
}
}
],
"accountId": "<string>",
"nextScheduledDate": "2023-11-07T05:31:56Z",
"legalEntityContactId": "<string>",
"legalEntityCustomerId": "<string>"
}Authorizations
api_keybearer
API key authentication for public API requests.
Keys come in two flavors:
- Legal-entity-scoped keys are pinned to a single legal entity. Minted via the dashboard under a specific entity; every request acts on that entity.
- User-scoped keys are pinned to a user and span every legal
entity that user has access to. Every request made with a
user-scoped key (except
GET /legal-entity, which lists the legal entities the user can access) must include anx-legal-entityheader naming the legal entity the request is operating on. Requests without the header are rejected with400. The authenticated user must have an active permission role on the supplied legal entity, otherwise the request is rejected with403.
Path Parameters
Response
OK
Invoice series model for API responses
Available options:
invoice_series Available options:
active, ended, cancelled Discriminated union defining when a recurring invoice series issues invoices
- InvoiceSeriesRecurrenceRule
- InvoiceSeriesRecurrenceRule
- InvoiceSeriesRecurrenceRule
Show child attributes
Show child attributes
Discriminated union defining when a recurring invoice series stops generating invoices
- InvoiceSeriesEndCondition
- InvoiceSeriesEndCondition
- InvoiceSeriesEndCondition
Show child attributes
Show child attributes
Template data used to generate each invoice in a recurring series
Show child attributes
Show child attributes
paymentMethods
(PaymentMethodAchDebit · object | PaymentMethodCardPayment · object | PaymentMethodCryptoDeposit · object | PaymentMethodInboundAchTransfer · object | PaymentMethodInboundInternationalWire · object | PaymentMethodInboundRtp · object | PaymentMethodInboundWireTransfer · object)[]
required
- PaymentMethodAchDebit
- PaymentMethodCardPayment
- PaymentMethodCryptoDeposit
- PaymentMethodInboundAchTransfer
- PaymentMethodInboundInternationalWire
- PaymentMethodInboundRtp
- PaymentMethodInboundWireTransfer
Show child attributes
Show child attributes
⌘I